# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Shopper do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :id,
    :userId,
    :memberId,
    :username,
    :price,
    :priceVerified,
    :locationVerified,
    :tutorialStep,
    :searchRadius,
    :searchCity,
    :filterLocation,
    :searchHistory,
    :imageFilter,
    :createdAt,
    :updatedAt,
    :User,
    :Member
  ]

  @type t :: %__MODULE__{
    :id => integer() | nil,
    :userId => integer() | nil,
    :memberId => integer() | nil,
    :username => String.t | nil,
    :price => float() | nil,
    :priceVerified => boolean() | nil,
    :locationVerified => boolean() | nil,
    :tutorialStep => integer() | nil,
    :searchRadius => integer() | nil,
    :searchCity => String.t | nil,
    :filterLocation => boolean() | nil,
    :searchHistory => String.t | nil,
    :imageFilter => String.t | nil,
    :createdAt => Date.t | nil,
    :updatedAt => Date.t | nil,
    :User => FoyerAPI.Model.User.t | nil,
    :Member => FoyerAPI.Model.Member.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Shopper do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:createdAt, :date, nil, options)
    |> deserialize(:updatedAt, :date, nil, options)
    |> deserialize(:User, :struct, FoyerAPI.Model.User, options)
    |> deserialize(:Member, :struct, FoyerAPI.Model.Member, options)
  end
end

